List Projects
List all matching projects. By default all projects of the instance that the caller has permission to read are returned. Make sure to include a limit and sorting for pagination.
Required permission:
project.read
Header Parameters
Define the version of the Connect protocol
1Define the timeout, in ms
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://loading/zitadel.project.v2.ProjectService/ListProjects" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{
"pagination": {
"totalResult": 0,
"appliedLimit": 0
},
"projects": [
{
"projectId": "string",
"organizationId": "string",
"creationDate": "2023-01-15T01:30:15.01Z",
"changeDate": "2023-01-15T01:30:15.01Z",
"name": "string",
"state": "PROJECT_STATE_UNSPECIFIED",
"projectRoleAssertion": true,
"authorizationRequired": true,
"projectAccessRequired": true,
"privateLabelingSetting": "PRIVATE_LABELING_SETTING_UNSPECIFIED",
"grantedOrganizationId": "string",
"grantedOrganizationName": "string",
"grantedState": "GRANTED_PROJECT_STATE_UNSPECIFIED"
}
]
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}Was this page helpful?
List Project Roles
List Project Roles: Returns all roles of a project matching the search query. Required permission:
Remove Project Role
Remove Project Role: Removes the role from the project and on every resource it has a dependency. This includes project grants and user grants (role assignments). Required permission: